# Execute a synthetic tool

> Source: https://elaichi.ai/docs/api-reference/synthetic-tools/synthetic-tool/executesynthetictool/

`POST /synthetic-tool/{id}/execute`

Resource: **Synthetic Tool** · API: **Synthetic tools**

## Path parameters

- **`id`** _(string, required)_
  Resource id

## Request body

- **`arguments`** _(object)_

## Code examples

### curl

```bash
curl -X POST 'https://api.elaichi.ai/synthetic-tool/<id>/execute' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"arguments":{}}'
```

### JavaScript

```javascript
const body = {
  "arguments": {}
};

const response = await fetch('https://api.elaichi.ai/synthetic-tool/<id>/execute', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/synthetic-tool/<id>/execute"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "arguments": {}
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```
